### Function

# EDataServer util_change_uri_component

since: 3.46

#### Declaration [src]

    void
    e_util_change_uri_component (
      GUri** inout_uri,
      SoupURIComponent component,
      const gchar* value
    )

#### Description [src]

Changes component `component` in the `inout_uri` to value `value`. As the `GUri` cannot be modified the `inout_uri` points to a new `GUri` at the end of the call and the previous structure is unreffed.

See: e_util_change_uri_port().

Available since: 3.46

#### Parameters

`inout_uri`

  Type: `GUri`

  A `GUri`.

  The argument will be modified by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

`component`

  Type: `SoupURIComponent`

  A string `SoupURIComponent` to change.

`value`

  Type: `const gchar*`

  A value to set, or `NULL` to unset.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.